libzypp 17.37.10

ztui::out::ListLayout Class Reference

Basic list layout. More...

`#include <zypp-tui/output/Out.h>`

Inheritance diagram for ztui::out::ListLayout:

## Classes
class | Writer
| Write out a List according to the layout. More...

## Public Member Functions
| ListLayout (bool singleline_r, bool wrapline_r, bool gaped_r, unsigned indent_r)

## Public Attributes
bool | _singleline
| one list element per line
bool | _wrapline
| fold lines longer than `_linewidth`
bool | _gaped
| add extra NL before element (if singleline)
unsigned | _indent
| amount of indent

## Detailed Description

Basic list layout.

Todo
  fix design made in eile

Definition at line 85 of file Out.h.

## Constructor & Destructor Documentation

## ◆ ListLayout()

ztui::out::ListLayout::ListLayout | ( | bool | singleline_r,
|  | bool | wrapline_r,
|  | bool | gaped_r,
|  | unsigned | indent_r )
| inline

Definition at line 89 of file Out.h.

## Member Data Documentation

## ◆ _singleline

bool ztui::out::ListLayout::_singleline

one list element per line

Definition at line 95 of file Out.h.

## ◆ _wrapline

bool ztui::out::ListLayout::_wrapline

fold lines longer than `_linewidth`

Definition at line 96 of file Out.h.

## ◆ _gaped

bool ztui::out::ListLayout::_gaped

add extra NL before element (if singleline)

Definition at line 97 of file Out.h.

## ◆ _indent

unsigned ztui::out::ListLayout::_indent

amount of indent

Definition at line 98 of file Out.h.

The documentation for this class was generated from the following file:

- zypp-tui/output/Out.h